Bug 1782587 - add "systemctl restart sssd" to warning message when adding trust agents to replicas
Summary: add "systemctl restart sssd" to warning message when adding trust agents to r...
Keywords:
Status: VERIFIED
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ipa
Version: 7.8
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: François Cami
QA Contact: ipa-qe
URL:
Whiteboard:
Depends On:
Blocks: 1782658
TreeView+ depends on / blocked
 
Reported: 2019-12-11 21:53 UTC by François Cami
Modified: 2020-04-17 11:43 UTC (History)
6 users (show)

Fixed In Version: ipa-4.6.6-12.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1782658 (view as bug list)
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)

Description François Cami 2019-12-11 21:53:29 UTC
This bug is created as a clone of upstream ticket:
https://pagure.io/freeipa/issue/8148

### Issue
After adding a replica to AD trust agent, the warning message displays:
~~~
WARNING: you MUST restart (e.g. ipactl restart) the following IPA masters in
-order to activate them to serve information about users from trusted forests:
~~~
whereas restarting sssd is mandatory for trust agents to work.

Comment 2 François Cami 2019-12-12 03:47:00 UTC
Fixed upstream
master:
https://pagure.io/freeipa/c/d5dad53e70857b47ab89c8ba78b0d8fe7d8fae0b

Comment 3 François Cami 2019-12-12 16:40:56 UTC
Fixed upstream
ipa-4-8:
https://pagure.io/freeipa/c/62f0bd0bb8194b0998fca0e582725a6f63bc9154

Comment 4 François Cami 2019-12-12 16:42:05 UTC
Fixed upstream
ipa-4-7:
https://pagure.io/freeipa/c/14de3644ea1e8ce3954b1da6a0e99f6e27d4db03

Comment 5 François Cami 2019-12-12 16:42:58 UTC
Fixed upstream
ipa-4-6:
https://pagure.io/freeipa/c/5bc4218bf8716d28339a3f30d1be8471d04cb4b4

Comment 6 Florence Blanc-Renaud 2020-01-28 09:56:50 UTC
RHEL-7.8 is already near the end of a Development Phase and development is being wrapped up. This bug is being moved to RHEL 7.9.
If you believe this particular bug should be reconsidered for 7.8, please let us know.

Comment 7 Florence Blanc-Renaud 2020-03-05 13:48:06 UTC
Test case upstream
master:
https://pagure.io/freeipa/c/fc4c3ac795e3af48fcfd8dd51085f5ff98047f1e

The commit adds a test in  ipatests/test_integration/test_adtrust_install.py::TestIpaAdTrustInstall

Comment 11 Sergey Orlov 2020-04-17 11:43:37 UTC
Fix verified for RHEL 7.9, compose RHEL-7.9-20200407.0

ipa-server-4.6.8-1.el7.x86_64

transport.py               254 INFO     RUN ['ipa-adtrust-install', '--add-agents']
...
transport.py               485 DEBUG    
transport.py               485 DEBUG    The log file for this installation can be found in /var/log/ipaserver-install.log
transport.py               485 DEBUG    ==============================================================================
transport.py               485 DEBUG    This program will setup components needed to establish trust to AD domains for
transport.py               485 DEBUG    the IPA Server.
...
transport.py               485 DEBUG    IPA master [replica1.testrelm.test]? [no]: 
transport.py               485 DEBUG    WARNING: you MUST restart (both "ipactl restart" and "systemctl restart sssd")
transport.py               485 DEBUG    the following IPA masters in order to activate them to serve information about
transport.py               485 DEBUG    users from trusted forests:
transport.py               485 DEBUG    
transport.py               485 DEBUG    replica1.testrelm.test
transport.py               485 DEBUG    
transport.py               485 DEBUG    =============================================================================
transport.py               485 DEBUG    Setup complete


Note You need to log in before you can comment on or make changes to this bug.